package com.gic.store.constant;

/**
 * 批处理导购返回信息
 * @ClassName: ImportClerkBatchResultEnum 
 * @Description:  
 * @author guojuxing 
 * @date 2020/1/15 10:47 AM 
 */
public enum ImportClerkBatchResultEnum {
    A1("A1", "门店信息", "标记不导入", "门店域", "门店域为空"),
    A2("A2", "门店信息", "标记不导入", "门店域", "该门店域不存在"),
    A3("A3", "门店信息", "标记不导入", "所属门店", "导购所属门店code为空"),
    A4("A4", "门店信息", "标记不导入", "所属门店", "导购所属门店code在GIC不存在"),
    C1("C1", "导购", "标记不导入", "导购code", "导购code为空"),
    C2("C2", "导购", "标记不导入", "导购code", "导购code重复"),
    C3("C3", "导购", "标记不导入", "导购名称", "导购名称为空"),
    D1("D1", "导购属性", "标记导入", "性别", "导购性别为空"),
    D2("D2", "导购属性", "标记不导入", "性别", "导购性别错误"),
    D3("D3", "导购属性", "标记不导入", "手机号", "导购手机号重复"),
    D4("D4", "导购属性", "标记不导入", "手机号", "导购手机号为空"),
    E1("E1", "商户信息", "标记不导入", "商户", "商户ID非法");

    /**
     * 错误码
     */
    private String code;
    /**
     * 规则分类
     */
    private String ruleClassfy;
    /**
     * 处理规则
     */
    private String processRule;
    /**
     * 字段信息
     */
    private String fieldInfo;
    /**
     * 返回信息
     */
    private String resultInfo;

    private ImportClerkBatchResultEnum(String code, String ruleClassfy, String processRule, String fieldInfo, String resultInfo) {
        this.code = code;
        this.ruleClassfy = ruleClassfy;
        this.processRule = processRule;
        this.fieldInfo = fieldInfo;
        this.resultInfo = resultInfo;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getRuleClassfy() {
        return ruleClassfy;
    }

    public void setRuleClassfy(String ruleClassfy) {
        this.ruleClassfy = ruleClassfy;
    }

    public String getProcessRule() {
        return processRule;
    }

    public void setProcessRule(String processRule) {
        this.processRule = processRule;
    }

    public String getFieldInfo() {
        return fieldInfo;
    }

    public void setFieldInfo(String fieldInfo) {
        this.fieldInfo = fieldInfo;
    }

    public String getResultInfo() {
        return resultInfo;
    }

    public void setResultInfo(String resultInfo) {
        this.resultInfo = resultInfo;
    }

    @Override
    public String toString() {
        return "规则分类:" + ruleClassfy + ";处理规则:" + processRule + ";字段信息:" + fieldInfo + ";错误信息:" + resultInfo;
    }
}
