package com.gic.store.dao.mapper;

import com.gic.store.entity.TabClerk;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabClerkMapper {
    /**
     * 根据主键删除
     *
     * @param clerkId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(String clerkId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabClerk record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabClerk record);

    /**
     * 根据主键查询
     *
     * @param clerkId 主键
     * @return 实体对象
     */
    TabClerk selectByPrimaryKey(Integer clerkId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabClerk record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabClerk record);

    Integer countByClerkCode(@Param("storeId") Integer storeId, @Param("clerkCode") String clerkCode, @Param("clerkId") Integer clerkId);

    Integer countByPhoneNumber(@Param("storeId") Integer storeId, @Param("phoneNumber") String phoneNumber, @Param("clerkId") Integer clerkId);

    List<TabClerk> listClerkByStoreInfoId(@Param("enterpriseId") Integer enterpriseId, @Param("storeClerkIds") List<Integer> storeClerkIds, @Param("storeInfoIds") String storeInfoIds, @Param("search") String search);

    Integer getTotalClerk(@Param("enterpriseId") Integer enterpriseId, @Param("storeClerkIds") List<Integer> storeClerkIds, @Param("search") String search);

    List<Integer> getStoreInfoIdsBySearch(@Param("enterpriseId") Integer enterpriseId, @Param("search") String search);

    Integer updateClerkStatus(@Param("enterpriseId") Integer enterpriseId,@Param("clerkIds") List<Integer> clerkIds, @Param("status") Integer status);

    TabClerk getBySelective(TabClerk tabClerk);

    List<TabClerk> listClerkByIds(@Param("enterpriseId") Integer enterpriseId, @Param("ids") List<Integer> clerkIdList);

    TabClerk getClerkByCode(@Param("enterpriseId") Integer enterpriseId, @Param("clerkCode") String clerkCode, @Param("storeInfoId") Integer storeInfoId);
}