package com.gic.store.service.impl;

import com.gic.commons.util.EntityUtil;
import com.gic.commons.util.GlobalInfo;
import com.gic.enterprise.qo.PageQO;
import com.gic.store.constant.StoreLogReasonEnum;
import com.gic.store.constant.StoreLogTypeEnum;
import com.gic.store.dao.mapper.TabStoreLogMapper;
import com.gic.store.dto.StoreLogDTO;
import com.gic.store.entity.TabStoreLog;
import com.gic.store.service.StoreLogService;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-11-11 15:48
 */
@Service("storeLogService")
public class StoreLogServiceImpl implements StoreLogService {

    @Autowired
    private TabStoreLogMapper tabStoreLogMapper;

    @Override
    public Integer saveStoreLog(StoreLogDTO storeLog) {
        TabStoreLog tabStoreLog = EntityUtil.changeEntityByJSON(TabStoreLog.class, storeLog);
        tabStoreLog.setCreateTime(new Date());
        tabStoreLog.setStatus(GlobalInfo.DATA_STATUS_NORMAL);
        return tabStoreLogMapper.insertSelective(tabStoreLog);
    }

    @Override
    public Page<TabStoreLog> listStoreLog(StoreLogDTO storeLogDTO, Integer currentPage, Integer pageSize) {
        PageHelper.startPage(currentPage, pageSize);
        return tabStoreLogMapper.listStoreLog(storeLogDTO);
    }

    @Override
    public void saveBulkStoreInfoLog(List<Integer> storeIdList, Integer enterpriseId, Integer operatorId, String operatorName, String content) {
        TabStoreLog storeLog = new TabStoreLog();
        storeLog.setEnterpriseId(enterpriseId);
        storeLog.setReason(StoreLogReasonEnum.WEB.getCode());
        storeLog.setLogType(StoreLogTypeEnum.INFO_UPDATE.getCode());
        storeLog.setRemark("批量编辑");
        storeLog.setOperatorId(operatorId);
        storeLog.setOperatorName(operatorName);
        storeLog.setContent(content);
        for (Integer storeId : storeIdList) {
            storeLog.setStoreId(storeId);
            tabStoreLogMapper.insertSelective(storeLog);
        }
    }

    @Override
    public void saveBulkStoreStatusLog(List<Integer> storeIdList, Integer enterpriseId, Integer operatorId, String operatorName, String content) {
        TabStoreLog storeLog = new TabStoreLog();
        storeLog.setEnterpriseId(enterpriseId);
        storeLog.setReason(StoreLogReasonEnum.WEB.getCode());
        storeLog.setLogType(StoreLogTypeEnum.STATUS_UPDATE.getCode());
        storeLog.setRemark("批量编辑");
        storeLog.setOperatorId(operatorId);
        storeLog.setOperatorName(operatorName);
        storeLog.setContent(content);
        for (Integer storeId : storeIdList) {
            storeLog.setStoreId(storeId);
            tabStoreLogMapper.insertSelective(storeLog);
        }
    }

    @Override
    public void saveBulkStoreGroupLog(List<Integer> storeIdList, Integer enterpriseId, Integer operatorId, String operatorName, String content) {
        TabStoreLog storeLog = new TabStoreLog();
        storeLog.setEnterpriseId(enterpriseId);
        storeLog.setReason(StoreLogReasonEnum.WEB.getCode());
        storeLog.setLogType(StoreLogTypeEnum.GROUP_UPDATE.getCode());
        storeLog.setRemark("批量编辑");
        storeLog.setOperatorId(operatorId);
        storeLog.setOperatorName(operatorName);
        storeLog.setContent(content);
        for (Integer storeId : storeIdList) {
            storeLog.setStoreId(storeId);
            tabStoreLogMapper.insertSelective(storeLog);
        }
    }
}
