package com.gic.store.service.outer.impl;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.util.EntityUtil;
import com.gic.enterprise.response.EnterpriseServiceResponse;
import com.gic.store.dto.GicDictDTO;
import com.gic.store.entity.TabGicDict;
import com.gic.store.service.DictApiService;
import com.gic.store.service.DictService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-03-26 15:11
 */
@Service("dictApiService")
public class DictApiServiceImpl implements DictApiService {

    @Autowired
    private DictService dictService;

    @Override
    public ServiceResponse<GicDictDTO> getDictByCode(String dictType, String dictValue) {
        TabGicDict dict = dictService.getDictByCode(dictType, dictValue);
        GicDictDTO gicDictDTO = EntityUtil.changeEntityByJSON(GicDictDTO.class, dict);
        return EnterpriseServiceResponse.success(gicDictDTO);
    }
}
