package com.gic.store.web.qo.clerk;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author zhiwj
 * @date 2019/7/17
 */
public class ClerkQO implements Serializable {


    private static final long serialVersionUID = 2413518168150216126L;

    public interface SaveValidView{
    }
    public interface EditValidView{
    }

    /**
     * 店员id
     */
    @NotNull(message = "导购id不能为空", groups = {EditValidView.class})
    private Integer clerkId;
    /**
     * 店员名称
     */
    @NotNull(message = "导购名称不能为空", groups = {SaveValidView.class, EditValidView.class})
    private String clerkName;
    /**
     * 店员编码
     */
    @NotNull(message = "导购关联主键不能为空", groups = {SaveValidView.class, EditValidView.class})
    private String clerkCode;
    /**
     * 门店id
     */
    @NotNull(message = "门店不能为空", groups = {SaveValidView.class})
    private Integer storeInfoId;
    /**
     * 职位名称（仅作展现）
     */
    private String positionName;
    /**
     * 性别  1：男  2：女
     */
    @NotNull(message = "性别不能为空", groups = {SaveValidView.class, EditValidView.class})
    @Min(value = 1, message = "性别选择错误", groups = {SaveValidView.class, EditValidView.class})
    @Max(value = 2, message = "性别选择错误", groups = {SaveValidView.class, EditValidView.class})
    private Integer clerkGender;
    /**
     * 国际码
     */
    @NotNull(message = "国际码不能为空", groups = {SaveValidView.class, EditValidView.class})
    private String nationcode;
    /**
     * 电话号码
     */
    @NotNull(message = "电话不能为空", groups = {SaveValidView.class, EditValidView.class})
    private String phoneNumber;
    /**
     * 状态（1:启用， 2:不启用）
     */
    private Integer status;

    public Integer getClerkId() {
        return clerkId;
    }

    public void setClerkId(Integer clerkId) {
        this.clerkId = clerkId;
    }

    public String getClerkName() {
        return clerkName;
    }

    public void setClerkName(String clerkName) {
        this.clerkName = clerkName;
    }

    public String getClerkCode() {
        return clerkCode;
    }

    public void setClerkCode(String clerkCode) {
        this.clerkCode = clerkCode;
    }

    public Integer getStoreInfoId() {
        return storeInfoId;
    }

    public void setStoreInfoId(Integer storeInfoId) {
        this.storeInfoId = storeInfoId;
    }

    public String getPositionName() {
        return positionName;
    }

    public void setPositionName(String positionName) {
        this.positionName = positionName;
    }

    public Integer getClerkGender() {
        return clerkGender;
    }

    public void setClerkGender(Integer clerkGender) {
        this.clerkGender = clerkGender;
    }

    public String getNationcode() {
        return nationcode;
    }

    public void setNationcode(String nationcode) {
        this.nationcode = nationcode;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }
}
